Package org.opencv.video

## Class Tracker

- java.lang.Object
- - org.opencv.video.Tracker

- Direct Known Subclasses:
    `TrackerCSRT`, `TrackerDaSiamRPN`, `TrackerKCF`, `TrackerMIL`, `TrackerNano`, `TrackerVit`

      public class Tracker
      extends java.lang.Object

  Base abstract class for the long-term tracker

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected long` | `nativeObj` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Tracker​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Tracker` | `__fromPtr__​(long addr)` |
    `protected void` | `finalize()` |
    `long` | `getNativeObjAddr()` |
    `float` | `getTrackingScore()` | Return tracking score
    `void` | `init​(Mat image, Rect boundingBox)` | Initialize the tracker with a known bounding box that surrounded the target
    `boolean` | `update​(Mat image, Rect boundingBox)` | Update the tracker, find the new most likely bounding box for the target

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

  - ### Constructor Detail

    - #### Tracker

          protected Tracker​(long addr)

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

    - #### __fromPtr__

          public static Tracker __fromPtr__​(long addr)

    - #### init

          public void init​(Mat image,
                           Rect boundingBox)

      Initialize the tracker with a known bounding box that surrounded the target
      Parameters:
        `image` - The initial frame
        `boundingBox` - The initial bounding box

    - #### update

          public boolean update​(Mat image,
                                Rect boundingBox)

      Update the tracker, find the new most likely bounding box for the target
      Parameters:
        `image` - The current frame
        `boundingBox` - The bounding box that represent the new target location, if true was returned, not modified otherwise
      Returns:
        True means that target was located and false means that tracker cannot locate target in current frame. Note, that latter *does not* imply that tracker has failed, maybe target is indeed missing from the frame (say, out of sight)

    - #### getTrackingScore

          public float getTrackingScore()

      Return tracking score
      Returns:
        automatically generated

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`